com.jogamp.newt.event.awt

## Class AWTMouseAdapter

- java.lang.Object
- - com.jogamp.newt.event.awt.AWTAdapter
  - - com.jogamp.newt.event.awt.AWTMouseAdapter

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener

      public class AWTMouseAdapter
      extends AWTAdapter
      implements MouseListener, MouseMotionListener, MouseWheelListener

- - ### Field Summary

    - ### Fields inherited from class com.jogamp.newt.event.awt.AWTAdapter

      `DEBUG_IMPLEMENTATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTMouseAdapter()`
    `AWTMouseAdapter(MouseListener newtListener, NativeSurfaceHolder nsProxy)`
    `AWTMouseAdapter(MouseListener newtListener, Window newtProxy)`
    `AWTMouseAdapter(Window downstream)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AWTAdapter` | `addTo(Component awtComponent)` Due to the fact that some NEWT `NEWTEventListener` are mapped to more than one `EventListener`, this method is for your convenience to use this Adapter as a listener for all types. E.g.
    `void` | `mouseClicked(MouseEvent e)`
    `void` | `mouseDragged(MouseEvent e)`
    `void` | `mouseEntered(MouseEvent e)`
    `void` | `mouseExited(MouseEvent e)`
    `void` | `mouseMoved(MouseEvent e)`
    `void` | `mousePressed(MouseEvent e)`
    `void` | `mouseReleased(MouseEvent e)`
    `void` | `mouseWheelMoved(MouseWheelEvent e)`
    `AWTAdapter` | `removeFrom(Component awtComponent)`

    - ### Methods inherited from class com.jogamp.newt.event.awt.AWTAdapter

      `clear, getNativeSurfaceHolder, getNewtEventListener, getNewtWindow, setConsumeAWTEvent, setDownstream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AWTMouseAdapter

          public AWTMouseAdapter(MouseListener newtListener,
                         NativeSurfaceHolder nsProxy)

    - #### AWTMouseAdapter

          public AWTMouseAdapter(MouseListener newtListener,
                         Window newtProxy)

    - #### AWTMouseAdapter

          public AWTMouseAdapter(Window downstream)

    - #### AWTMouseAdapter

          public AWTMouseAdapter()

  - ### Method Detail

    - #### addTo

          public AWTAdapter addTo(Component awtComponent)

      Description copied from class: `AWTAdapter`
      Due to the fact that some NEWT `NEWTEventListener` are mapped to more than one `EventListener`, this method is for your convenience to use this Adapter as a listener for all types.
      E.g. `MouseListener` is mapped to `MouseListener` and `MouseMotionListener`.
      Specified by:
        `addTo` in class `AWTAdapter`

    - #### removeFrom

          public AWTAdapter removeFrom(Component awtComponent)

      Specified by:
        `removeFrom` in class `AWTAdapter`
      See Also:
        `AWTAdapter.addTo(java.awt.Component)`

    - #### mouseClicked

          public void mouseClicked(MouseEvent e)

      Specified by:
        `mouseClicked` in interface `MouseListener`

    - #### mouseEntered

          public void mouseEntered(MouseEvent e)

      Specified by:
        `mouseEntered` in interface `MouseListener`

    - #### mouseExited

          public void mouseExited(MouseEvent e)

      Specified by:
        `mouseExited` in interface `MouseListener`

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      Specified by:
        `mousePressed` in interface `MouseListener`

    - #### mouseReleased

          public void mouseReleased(MouseEvent e)

      Specified by:
        `mouseReleased` in interface `MouseListener`

    - #### mouseDragged

          public void mouseDragged(MouseEvent e)

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`

    - #### mouseMoved

          public void mouseMoved(MouseEvent e)

      Specified by:
        `mouseMoved` in interface `MouseMotionListener`

    - #### mouseWheelMoved

          public void mouseWheelMoved(MouseWheelEvent e)

      Specified by:
        `mouseWheelMoved` in interface `MouseWheelListener`

Copyright 2010 JogAmp Community.